commit:     bbb634585b0c2ff3658e8a46d2d2ab0f6546db3a
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  4 11:33:23 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Jun  4 11:33:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbb63458

www-apps/viewvc: Security bump to v1.1.26 (bug #608738)

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 www-apps/viewvc/Manifest             |   1 +
 www-apps/viewvc/viewvc-1.1.26.ebuild | 111 +++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/www-apps/viewvc/Manifest b/www-apps/viewvc/Manifest
index e5da4a72ef5..a58658d633f 100644
--- a/www-apps/viewvc/Manifest
+++ b/www-apps/viewvc/Manifest
@@ -1 +1,2 @@
 DIST viewvc-1.1.20.tar.gz 616561 SHA256 
ecd9b77ddcdc33594edce34751b0feae64338580c177804e2a8395874cb31ff2 SHA512 
1c0129be983e6832f12cf4850ee6fe03c6a4f694d9e7643f0efe65bd3e8c7d820fdaf3bb16fd3bb3628ea133b58b1e03196f2eb439cfb6ab4727d6178516d8d1
 WHIRLPOOL 
5746826abcdc061b7c7fc2de49bb3034c54b8fd889038334a2b55ae5523796710b7e1f83bdddfe1127f3d795d12275939dd43c38ceb29110cf6d3a4ab1a11cd4
+DIST viewvc-1.1.26.tar.gz 616103 SHA256 
9d718237df7fc04d511302812c0bec0363cf6b8334ab796953a764c2de426e43 SHA512 
af70d4344fe92f942debb407b6fad909e250ba2656499f5229e1c2f018dfbd783d0cebd28c49a429bd7b155bb6db02cead602384f91b99b7ced6aa365e32bb8e
 WHIRLPOOL 
d8d6348d9d4c48176ff71af6aec74c4d3d73a58217b7b6b23f27d47503548df66cb0121b7d17d89c2a9a0524280b22960fcbf3a7b11a35c8411626f8759c2d50

diff --git a/www-apps/viewvc/viewvc-1.1.26.ebuild 
b/www-apps/viewvc/viewvc-1.1.26.ebuild
new file mode 100644
index 00000000000..2c5d23c4ed5
--- /dev/null
+++ b/www-apps/viewvc/viewvc-1.1.26.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils python-single-r1 webapp
+
+WEBAPP_MANUAL_SLOT="yes"
+
+DESCRIPTION="ViewVC, a web interface to CVS and Subversion"
+HOMEPAGE="http://viewvc.org/";
+SRC_URI="http://viewvc.org/downloads/${P}.tar.gz";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="cvs cvsgraph mod_wsgi mysql pygments +subversion"
+
+DEPEND=""
+RDEPEND="${PYTHON_DEPS}
+       cvs? ( dev-vcs/rcs )
+       subversion? ( >=dev-vcs/subversion-1.3.1[python,${PYTHON_USEDEP}] )
+
+       mod_wsgi? ( www-apache/mod_wsgi[${PYTHON_USEDEP}] )
+       !mod_wsgi? ( virtual/httpd-cgi )
+
+       cvsgraph? ( >=dev-vcs/cvsgraph-1.5.0 )
+       mysql? ( >=dev-python/mysql-python-0.9.0[${PYTHON_USEDEP}] )
+       pygments? (
+               dev-python/pygments[${PYTHON_USEDEP}]
+               app-misc/mime-types
+       )
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       || ( cvs subversion )"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+       webapp_pkg_setup
+}
+
+src_prepare() {
+       eapply_user
+
+       find bin/ -type f -print0 | xargs -0 sed -i \
+               -e "s|\(^LIBRARY_DIR\)\(.*\$\)|\1 = 
\"$(python_get_sitedir)/${PN}\"|g" \
+               -e "s|\(^CONF_PATHNAME\)\(.*\$\)|\1 = 
\"../conf/viewvc.conf\"|g" || die
+
+       sed -i -e "s|\(self\.options\.template_dir\)\(.*\$\)|\1 = 
\"${MY_APPDIR}/templates\"|" \
+               lib/config.py || die
+
+       sed -i -e "s|^template_dir.*|#&|" conf/viewvc.conf.dist || die
+       sed -i -e "s|^#mime_types_files =.*|mime_types_files = 
/etc/mime.types|" conf/viewvc.conf.dist || die
+       mv conf/viewvc.conf{.dist,} || die
+       mv conf/cvsgraph.conf{.dist,} || die
+
+       python_fix_shebang .
+}
+
+src_install() {
+       webapp_src_preinst
+
+       newbin bin/standalone.py viewvc-standalone-server
+
+       dodoc CHANGES COMMITTERS INSTALL README
+
+       python_moduleinto viewvc
+       python_domodule lib/.
+
+       insinto "${MY_APPDIR}"
+       doins -r templates/ || die "doins failed"
+       doins -r templates-contrib/
+
+       if use mysql; then
+               exeinto "${MY_HOSTROOTDIR}/bin"
+               doexe bin/{*dbadmin,make-database,loginfo-handler}
+       fi
+
+       insinto "${MY_HOSTROOTDIR}/conf"
+       doins conf/{viewvc,cvsgraph}.conf
+
+       exeinto "${MY_CGIBINDIR}"
+       doexe bin/cgi/viewvc.cgi
+       if use mysql; then
+               doexe bin/cgi/query.cgi
+       fi
+
+       exeinto "${MY_CGIBINDIR}"
+       if use mod_wsgi; then
+               doexe bin/wsgi/viewvc.wsgi
+               if use mysql; then
+                       doexe bin/wsgi/query.wsgi
+               fi
+       else
+               doexe bin/wsgi/viewvc.fcgi
+               if use mysql; then
+                       doexe bin/wsgi/query.fcgi
+               fi
+       fi
+
+       webapp_configfile "${MY_HOSTROOTDIR}/conf/"{viewvc,cvsgraph}.conf
+
+       webapp_src_install
+}
+
+pkg_postinst() {
+       webapp_pkg_postinst
+       elog "Now read INSTALL in /usr/share/doc/${PF} to configure ${PN}"
+}

Reply via email to